ContextAccessController (Tomcat API Documentation)
Keywords: org.apache.naming.ContextAccessController class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class ContextAccessController

    java.lang.Object
      org.apache.naming.ContextAccessController

    public class ContextAccessController

extends java.lang.Object

Handles the access control on the JNDI contexts.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`ContextAccessController()`

Method Summary
`static boolean` | `checkSecurityToken(java.lang.Object name, java.lang.Object token)` Check a submitted security token.
`static boolean` | `isWritable(java.lang.Object name)` Returns if a context is writable.
`static void` | `setReadOnly(java.lang.Object name)` Set whether or not a context is writable.
`static void` | `setSecurityToken(java.lang.Object name, java.lang.Object token)` Set a security token for a context.
`static void` | `setWritable(java.lang.Object name, java.lang.Object token)` Allow writing to a context.
`static void` | `unsetSecurityToken(java.lang.Object name, java.lang.Object token)` Remove a security token for a context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextAccessController

    public ContextAccessController()

Method Detail

### setSecurityToken

    public static void setSecurityToken(java.lang.Object name,
                                        java.lang.Object token)

  Set a security token for a context. Can be set only once.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### unsetSecurityToken

    public static void unsetSecurityToken(java.lang.Object name,
                                          java.lang.Object token)

  Remove a security token for a context.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### checkSecurityToken

    public static boolean checkSecurityToken(java.lang.Object name,
                                             java.lang.Object token)

  Check a submitted security token. The submitted token must be equal to the token present in the repository. If no token is present for the context, then returns true.

  Parameters:
    `name` - Name of the context
    `token` - Submitted security token

### setWritable

    public static void setWritable(java.lang.Object name,
                                   java.lang.Object token)

  Allow writing to a context.

  Parameters:
    `name` - Name of the context
    `token` - Security token

### setReadOnly

    public static void setReadOnly(java.lang.Object name)

  Set whether or not a context is writable.

  Parameters:
    `name` - Name of the context

### isWritable

    public static boolean isWritable(java.lang.Object name)

  Returns if a context is writable.

  Parameters:
    `name` - Name of the context

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.